package com.qmth.exam.reserve.bean.apply;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TicketInfo implements IModel {

    private static final long serialVersionUID = -3123736735932690992L;

    @ApiModelProperty(value = "预约ID")
    private Long applyId;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "考生学号")
    private String studentCode;

    @ApiModelProperty(value = "考生证件号")
    private String identityNumber;

    @ApiModelProperty(value = "考生头像相对路径")
    private String photoPath;

    @ApiModelProperty(value = "性别")
    private String gender;

    @ApiModelProperty(value = "考试开始时间")
    private Long timePeriodStart;

    @ApiModelProperty(value = "考试结束时间")
    private Long timePeriodEnd;

    @ApiModelProperty(value = "考场代码")
    private String examRoomCode;

    @ApiModelProperty(value = "考场地址")
    private String examRoomAddress;

    @ApiModelProperty(value = "座位号")
    private String seatNumber;

    @ApiModelProperty(value = "准考证号码")
    private String ticketNumber;

    @ApiModelProperty(value = "准考证标题")
    private String ticketTitle;

}
